%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-api
Version:          1.0.1
Release:          %mkrel 2
Summary:          JBossWS API
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossws/api/tags/jbossws-api-1.0.1.Final/ jbossws-api-1.0.1.Final
# tar cafJ jbossws-api-1.0.1.Final.tar.xz jbossws-api-1.0.1.Final
Source0:          jbossws-api-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-clean-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-war-plugin
BuildRequires:    maven-help-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jbossws-parent

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-logging
Requires:         jboss-logging-tools

%description
JBoss WS public API

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-api-%{namedversion}

%build
mvn-rpmbuild package javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 355222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.1-1.mga3
+ Revision: 331828
- New version

* Fri Jun 22 2012 gil <gil> 1.0.0-1.mga3
+ Revision: 262612
- imported package jbossws-api

